## RiskyMod

A full-game overhaul that aims to bring it closer to RoR1's balance. My main priority is multiplayer, but the mod is balanced in solo as well.

I highly recommed installing https://thunderstore.io/package/Moffein/EliteReworks/ to go with this, and enabling the Celestine beta tweaks in the config.

Full change list can be found here. https://docs.google.com/document/d/1Igxdur0M33fdkcDLYgDEbLE0M4-89gSTorxgdn-oyKs/

This mod merges in fixes and tweaks from a bunch of other mods. If you have those mods installed, these fixes/changes will disable and the original mod will take priority (Except for Bandit Grace Period).

## Main Features

- Removed proc chains.
- Made difficulty scaling linear (exponential jump on-loop) and increased spawnrates.
- Oneshot Protection now works as you would expect.
	- Oneshot = Going from >90% HP to 0% HP in under 0.5s
	- Once triggered, you have to be out of danger (no damage for 7s) before it can be retriggered.
- Shields gate against HP damage like the Guardian's Heart in RoR1.
	- Transcendence/Perfected Affix disable Oneshot Protection due to having shieldgating built-in.
- Big balance pass over nearly all the items.
	- Bad items like Squid Polyps and Warbanners have gotten substantial buffs.
	- Strong damage items like AtGs and Elemental Bands now have lowered damage.
	- Most forms of range scaling have been removed.
- Drones performance now remains the same on all stages. (WiP)

## Other Changes

- Combat Shrines give less money, but drop items for the team on completion.
- Teleporter radius expands once the boss is dead.
- Tweaked Commencement
	- Only 2 pillars are required to activate the jump pads.
	- Pillars drop items for the team on completion, and you can complete as many as you want.

## Installation
Place RiskyMod.dll in /Risk of Rain 2/BepInEx/plugins/	

## Planned Changes (Not implemented yet)

- Survivor Tweaks?
	- I wanted to focus on the core game balance first, so I didn't include survivor tweaks for now.
	- Likely would heavily rework Loader/Acrid/Captain, and make minor tweaks to the rest of the cast (ex. new alt passive for Bandit/Merc, Phase Round Lighting/Nade Cooking for Commando).
- Enemy Tweaks?
- Void Rework?
	- Idea is to have each vent trigger a Void-Boosted Bossfight with a bunch of related mobs spawning, and killing the boss completes the cell.
	- Need to reduce the amount of time spent waiting around.
	- Probably will expand the bubble since waiting in tiny bubbles sucks.
	- Probably will change the HP drain to something else so that going outside the bubble isn't just a free razorwire proc, or even remove the whole "stay in a bubble" thing altogether.
	- Make time pass while in the void (maybe at a slower rate, or maybe have each cell completed increment the timer) so that it isn't just free items for no time cost whatsoever.

## Changelog

`0.1.1`
- Fixed a visual bug where Moon Pillar count would show as 4 for clients.
- Tweaked Shrine of Combat drop odds
	- Uncommon: 40% -> 47.5%
	- Legendary: 10% -> 2.5%
- Reduced Drone armor per level from 2 -> 1
	- Drones were never going below 75% HP with +2. If +1 makes them too squishy, I'll try changing their HP instead.
	- This change affects Polyps too, so I'll be keeping my eye on that.
- Backup
	- No longer is affected by the ally cap.
	- Now capped at 8 drones. The equipment won't activate if you try to spawn more than 8.
- Vagrant Novas now ignore Shield Gating.


`0.1.0`
- Thunderstore beta release. Releasing a bit earlier than intended by request. I did a short test in multiplayer with a friend and things seemed to work fine with my usual modpack, but let me know if there's any issues.
- I plan for most features to be individually toggleable via config, but didn't have the time to set it up. Hoping that I can get that set up soon.